Agent Endpoint
Update an agent endpoint
Updates an existing agent endpoint by its ID. Only environment and outboundDialType can be modified.
PUT
/
v1
/
agent
/
endpoint
/
{endpointId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentEndpoint = await client.agentEndpoint.update('endpointId');
console.log(agentEndpoint.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_endpoint = client.agent_endpoint.update(
endpoint_id="endpointId",
)
print(agent_endpoint.data)curl --request PUT \
--url https://api.roark.ai/v1/agent/endpoint/{endpointId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"environment": "<string>",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the agent endpoint to update
Body
application/json
Response
The updated agent endpoint
Detailed agent endpoint response
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentEndpoint = await client.agentEndpoint.update('endpointId');
console.log(agentEndpoint.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_endpoint = client.agent_endpoint.update(
endpoint_id="endpointId",
)
print(agent_endpoint.data)